body, html {
	/*width: 100%;
	height: 100%;*/
	margin: 0;
	padding: 0;
}

body {
	background-image: url(../images/ramen-background.png);
	font-family: sans-serif;
	font-size: 0.8em;
}

a img {
	border: none;
}

#wrap {
	width: 970px;
	margin-left: auto;
	margin-right: auto;
}

#wrap > * {
	padding-left: 10px;
	padding-right: 10px;
}

#header {
	margin-top: 20px;
}
#header > img {
	vertical-align: bottom;
}

.tagline {
	font-style: italic;
	vertical-align: super;
}

#navbar {
	padding-top: 10px;
	padding-left: 40px;
	font-size: 1.5em;
	line-height: 61px;
	height: 61px;
	background: url(../images/layout_01.png) center no-repeat;
	color: #eee;
	text-shadow: -1px -2px #5f3e00;
}

#navbar a {
	font-weight: normal;
	text-decoration: none;
	color: #eee;
}

#navbar a:hover {
	color: #ccc;
}

#content {
	float: left;
	width: 630px;
	padding: 0 10px 10px 10px;
	border-right: 1px solid #ccc;
}

#content img {
	max-width: 100%;
}

a {
	font-weight: bold;
	text-decoration: none;
	color: #612222;
}

a:hover {
	color: #924949;
}

#content h4, #content h3 {
	font-variant: small-caps;
}

table {
	border-collapse: collapse;
}

tr {
	border-top: 1px solid #ccc;
	border-bottom: 1px solid #ccc;
}

ul, ol {
	padding-left: 1.5em;
}

#sidebar {
	float: right;
	width: 279px;
	padding: 0 10px;
	margin-left: -1px;
	border-left: 1px solid #ccc;
}

#sidebar h4 {
  text-align: center;
}
#sidebar h4::before {
  content: '> ';
}
#sidebar h4::after {
  content: ' <';
}

#sidebar > div {
	border-bottom: 1px solid #ccc;
}

#sidebar > div:last-child {
	border-bottom: none;
}

.sidebar-posts img {
	float: left;
  margin-right: 8px;
  padding: 2px;
  border: 1px solid #CCC;
  background-color: #FFF;
}

.sidebar-posts {
	padding-left: 0;
}

.sidebar-posts li {
	overflow: hidden;
  border-bottom: 1px dotted #C1C1C1;
  padding: 3px 0;
  list-style-type: none;
}

.sidebar-posts li:last-child {
	border-bottom: none;
}

#footer {
	clear: both;
	font-size: smaller;
	color: #ccc;
	text-align: center;
	border-top: 1px solid #ccc;
	width: 98%;
	margin-top: 1em;
	margin-left: auto;
	margin-right: auto;
	padding-top: 10px;
}

#page-top {
	height: 18px;
	background: url(../images/layout_02.png) top center no-repeat;
}

#page {
	background:	url(../images/layout_03.png) center repeat-y;	
}

#page-bottom {
	height: 25px;
	background:	url(../images/layout_04.png) bottom center no-repeat;
}

/*p {
	margin: 0;
	padding: 0.5em 0;
}*/

.post-sep {
	background: #ddddd4;
	width: 100%;
	height: 5px;
}

.post-title, .title h1 {
	margin-bottom: 0;
}

.post-subtitle {
	color: #636363;
	margin-bottom: 1em;
  display: block;
}

.post-tags, .sidebar-tags {
	color: #636363;
	font-size: smaller;
}
.sidebar-tags a {
	margin-right: 1em;
}

.read-more img {
	vertical-align: center;
}

.group-tag {
	background: #999;
	font-size: 0.9em;
	color: #fff;
	padding: 0 3px;
	border-radius: 3px;
}

.feeds {
	padding-left: 0;
	list-style-type: none;
}
.rss-feed {
	margin-left: 3px;
	padding: 0 0 0 19px;
	background: url("../images/feed-icon-14x14.png") no-repeat 0 50%;
}
.mastodon-feed {
	margin-left: 3px;
	padding: 0 0 0 19px;
	background: url("../images/mastodon-icon.png") no-repeat 0 50%;
}

.blog-nav {
	padding: 1em 0;
  border-top: 1px dotted #C1C1C1;
}

.nav-next {
	float: right;
}

.pagination {
	margin: 1em 0 !important;
}

@media (max-width: 767px) {
	#header img {
		max-width: 40%;
	}

	#sidebar {
		float: unset;
		width: unset;
		margin-left: unset;
		border-left: none;
	}
	
	#content {
		float: unset;
		width: unset;
		border-right: none;
		border-bottom: 5px solid #ddddd4;
	}

	#wrap {
		width: unset;
	}

	#page {
		padding-top: 0.1em;
	}
}